pcl::poisson::MarchingCubes Class Reference

`#include <pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h>`

## Public Types

enum | { MAX_TRIANGLES =5 }

## Static Public Member Functions

static double | Interpolate (double v1, double v2)
static float | Interpolate (float v1, float v2)
static const int * | edgeMask ()
static int | triangles (int i, int j)
static const int * | cornerMap ()
static double & | vertexList (int i, int j)
static int | AddTriangleIndices (int mcIndex, int *triangles)
static int | GetIndex (const double values[Cube::CORNERS], double iso)
static int | IsAmbiguous (const double v[Cube::CORNERS], double isoValue, int faceIndex)
static int | HasRoots (const double v[Cube::CORNERS], double isoValue)
static int | HasRoots (const double v[Cube::CORNERS], double isoValue, int faceIndex)
static int | AddTriangles (const double v[Cube::CORNERS], double isoValue, Triangle *triangles)
static int | AddTriangleIndices (const double v[Cube::CORNERS], double isoValue, int *triangles)
static int | GetIndex (const float values[Cube::CORNERS], float iso)
static int | IsAmbiguous (const float v[Cube::CORNERS], float isoValue, int faceIndex)
static int | HasRoots (const float v[Cube::CORNERS], float isoValue)
static int | HasRoots (const float v[Cube::CORNERS], float isoValue, int faceIndex)
static int | AddTriangles (const float v[Cube::CORNERS], float isoValue, Triangle *triangles)
static int | AddTriangleIndices (const float v[Cube::CORNERS], float isoValue, int *triangles)
static int | IsAmbiguous (int mcIndex, int faceIndex)
static int | HasRoots (int mcIndex)
static int | HasFaceRoots (int mcIndex, int faceIndex)
static int | HasEdgeRoots (int mcIndex, int edgeIndex)

## Detailed Description

Definition at line 101 of file marching_cubes_poisson.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
MAX_TRIANGLES |

Definition at line 113 of file marching_cubes_poisson.h.

## Member Function Documentation

static int pcl::poisson::MarchingCubes::AddTriangleIndices | ( | int | mcIndex,
|  | int * | triangles
| ) |  |

static

static int pcl::poisson::MarchingCubes::AddTriangleIndices | ( | const double | v[Cube::CORNERS],
|  | double | isoValue,
|  | int * | triangles
| ) |  |

static

static int pcl::poisson::MarchingCubes::AddTriangleIndices | ( | const float | v[Cube::CORNERS],
|  | float | isoValue,
|  | int * | triangles
| ) |  |

static

static int pcl::poisson::MarchingCubes::AddTriangles | ( | const double | v[Cube::CORNERS],
|  | double | isoValue,
|  | Triangle * | triangles
| ) |  |

static

static int pcl::poisson::MarchingCubes::AddTriangles | ( | const float | v[Cube::CORNERS],
|  | float | isoValue,
|  | Triangle * | triangles
| ) |  |

static

static const int* pcl::poisson::MarchingCubes::cornerMap | ( |  | ) |

static

static const int* pcl::poisson::MarchingCubes::edgeMask | ( |  | ) |

static

static int pcl::poisson::MarchingCubes::GetIndex | ( | const double | values[Cube::CORNERS],
|  | double | iso
| ) |  |

static

static int pcl::poisson::MarchingCubes::GetIndex | ( | const float | values[Cube::CORNERS],
|  | float | iso
| ) |  |

static

static int pcl::poisson::MarchingCubes::HasEdgeRoots | ( | int | mcIndex,
|  | int | edgeIndex
| ) |  |

static

static int pcl::poisson::MarchingCubes::HasFaceRoots | ( | int | mcIndex,
|  | int | faceIndex
| ) |  |

static

static int pcl::poisson::MarchingCubes::HasRoots | ( | const double | v[Cube::CORNERS],
|  | double | isoValue
| ) |  |

static

static int pcl::poisson::MarchingCubes::HasRoots | ( | const double | v[Cube::CORNERS],
|  | double | isoValue,
|  | int | faceIndex
| ) |  |

static

static int pcl::poisson::MarchingCubes::HasRoots | ( | const float | v[Cube::CORNERS],
|  | float | isoValue
| ) |  |

static

static int pcl::poisson::MarchingCubes::HasRoots | ( | const float | v[Cube::CORNERS],
|  | float | isoValue,
|  | int | faceIndex
| ) |  |

static

static int pcl::poisson::MarchingCubes::HasRoots | ( | int | mcIndex | ) |

static

static double pcl::poisson::MarchingCubes::Interpolate | ( | double | v1,
|  | double | v2
| ) |  |

static

static float pcl::poisson::MarchingCubes::Interpolate | ( | float | v1,
|  | float | v2
| ) |  |

static

static int pcl::poisson::MarchingCubes::IsAmbiguous | ( | const double | v[Cube::CORNERS],
|  | double | isoValue,
|  | int | faceIndex
| ) |  |

static

static int pcl::poisson::MarchingCubes::IsAmbiguous | ( | const float | v[Cube::CORNERS],
|  | float | isoValue,
|  | int | faceIndex
| ) |  |

static

static int pcl::poisson::MarchingCubes::IsAmbiguous | ( | int | mcIndex,
|  | int | faceIndex
| ) |  |

static

static int pcl::poisson::MarchingCubes::triangles | ( | int | i,
|  | int | j
| ) |  |

static

static double& pcl::poisson::MarchingCubes::vertexList | ( | int | i,
|  | int | j
| ) |  |

static

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h